Subject: Re: [PATCH v2 0/3] rev-parse and "--"

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Dec 2013 11:05:09 -0800

Jeff King <[email-masked]> writes:

> Is it better for "rev-parse" to be more careful, and to behave more like
> the rest of git? Or is better to be historically compatible?
>
> One thing to note is that "git rev-parse HEAD" is slightly broken there
> already. Because "git rev-parse $some_branch" may do very different
> things than what the caller expects if $some_branch does not exist (but
> there is a file with the same name). So maybe we are doing a favor by
> calling out the problem; if they want a rev, they should be using
> "--verify" (or "--").

I tend to agree with the reasoning in the last sentence. Let's cook
it for a while and see what happens.

Thanks.